Bug 29866 - Anaconda not properly identifying EDD support.
Anaconda not properly identifying EDD support.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 16:13 EST by Michael Johnson
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 17:59:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Johnson 2001-02-27 16:13:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


After tracking down a failed install it appears that anaconda is not
detecting EDD support correctly.
The install failed with:
Fatal: geo_comp_addr: Cylinder number is too big (1046 > 1023)

However, when I run lilo with -L or with lba32 in the conf file it
succeeds.

Further investiation shows that the edd_supported fuction is not finding
the support.

Run of edd (turning on TESTING in the edd makefile) shows:
edd not supported on 0x80
edd not supported on 0x81
edd not supported on 0x82
edd not supported on 0x83
edd not supported on 0x84
edd not supported on 0x85
edd not supported on 0x86
edd not supported on 0x87
edd not supported on 0x88
edd not supported on 0x89
edd not supported on 0x8a
edd not supported on 0x8b
edd not supported on 0x8c
edd not supported on 0x8d
edd not supported on 0x8e
edd not supported on 0x8f

Hardware:
HP XU800 Kayak; BIOS IA.11.07US
On-Board Adaptec 7892 with DOS > 1GB and Int13 Extensions enabled;
2.55.02.HP
Quantum Atlas 10K 18WLS 160 boot drive (17366MB)

Partitioned with 512MB swap, remaining to /




Reproducible: Always
Steps to Reproduce:
1. get the anaconda source and un-pack it.
2. cd /usr/src/redhat/SOURCES/anaconda-7.0.1/edd
3. edit the make file to define TESTING for the edd target:
	gcc -DTESTING -DDEBUG -o edd lrmi.c edd.c
4. make
5. ./edd
	

Actual Results:  # ./edd
edd not supported on 0x80
edd not supported on 0x81
edd not supported on 0x82
edd not supported on 0x83
edd not supported on 0x84
edd not supported on 0x85
edd not supported on 0x86
edd not supported on 0x87
edd not supported on 0x88
edd not supported on 0x89
edd not supported on 0x8a
edd not supported on 0x8b
edd not supported on 0x8c
edd not supported on 0x8d
edd not supported on 0x8e
edd not supported on 0x8f


Expected Results:  edd supported

I have also seen similar results on an HP Omnibook 6000 with the following
IDE drive:
IBM-DJSA-220 ATA Disk drive, 17,301MB, CHS=2343, 240, 63
This is  a dual boot system.  EDD test showed the same results.
Comment 1 Glen Foster 2001-03-02 13:05:25 EST
Our installer team-lead thinks we should really fix this before next release.
Comment 2 Michael Fulbright 2001-03-05 14:52:45 EST
Did you autopartition or manually partition?

I ask because the partition with the kernel on it should not have extended above
the 1024 cylinder limit unless you picked a preexisting partition. Disk druid
will not create a new partition which extends past the 1024 cylinder limit.
Comment 3 Michael Johnson 2001-03-05 15:40:35 EST
The Omnibook was a dual boot situation with win2k.  I believe the linux partition was after the win2k partition.  The linux partitions were created with disk 
druid.  I did not do the initial install on it, I only loaded a boot disk and re-applied lilo, as well as run the edd test.

On the Kayak I used the following anaconda kickstart script:

lang en_US

network --bootproto dhcp

nfs --server XXX --dir XXX

keyboard "us"

zerombr yes
clearpart --all
part / --grow
part swap --size 512
install

mouse genericps/2

timezone America/Los_Angeles

auth --useshadow

lilo --location mbr

%packages
@Everything
%post


Comment 4 Matt Wilson 2001-03-09 12:19:48 EST
Do you have any contacts with your BIOS people to find out why int 13h AH=41h
BX=55aah would not report EDD on your drives?
Comment 5 Michael Fulbright 2001-03-19 16:48:36 EST
Asking again if the bug reporter has any additional information.
Comment 6 Brent Fox 2001-04-10 17:59:12 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.